#!/bin/bash

#===================================================================================================
#   USER PARAMETER VALUES - should be populated by user before run
#===================================================================================================
USERNAME="admin"															            	    #===
PASSWORD="cortex"															            	    #===
TFS_URL="https://localhost:8443/tribefire-services"											    #===
																						        #===
#===================================================================================================
#   DEFAULT PARAMETER VALUES END
#===================================================================================================

#===================================================================================================
#   DEFAULT PARAMETER VALUES 
#===================================================================================================
MY_DIRECTORY="$(dirname "$0")"																    #===
																						        #===
#===================================================================================================
#   DEFAULT PARAMETER VALUES END
#===================================================================================================

#===================================================================================================
#   WORKING PARAMETER VALUES
#===================================================================================================
SESSION_ID="NONE"															                    #===
MIGRATION_RESPONSE="NONE"													                    #===
																							    #===
#===================================================================================================
#   WORKING PARAMETER VALUES END
#===================================================================================================

#===================================================================================================
# LOCAL FUNCTION DEFINITIONS
#===================================================================================================

get_session_id(){

    SESSION_ID=$(curl -s --insecure -X POST "$TFS_URL/api/v1/access.adx.admin/v1/session" -H "accept: application/json" -H "Content-Type: multipart/form-data" -F "userName=$USERNAME" -F "password=$PASSWORD" | "$MY_DIRECTORY"/helpers/jq '.sessionId' | tr -d '"')
    echo "Session Id: $SESSION_ID"
}

migrate_storage(){

    MIGRATION_RESPONSE=$(curl -s --insecure --cookie "tfsessionId=$SESSION_ID" GET "$TFS_URL/api/v1/cortex/tribefire.extension.vitals.jdbc.model.migration.UpgradeSharedStorage")
    echo "$MIGRATION_RESPONSE"
}

#===================================================================================================
# LOCAL FUNCTION DEFINITIONS END
#===================================================================================================


#===================================================================================================
# SCRIPT ENTRY POINT - STARTING POINT
#===================================================================================================

get_session_id

migrate_storage